Page MenuHomePhabricator

IABot API: modifyurl not working
Closed, ResolvedPublic

Description

modifyurl returns error

For this action:

action=modifyurl&urlid=53010019&overridearchivevalidation=1&archiveurl=https%3A%2F%2Fweb%2Earchive%2Eorg%2Fweb%2F20161119182413%2Fhttp%3A%2F%2Fwww%2Epmsa%2Eorg%2Euk%2Fpmsa%2Ddatabase%2F1040%2F&token=3a1e6725fd0e6bb3c8b67d19347f6157&checksum=269467b267b9e352662aee33181e066f&wiki=enwiki

{

"result": "fail",
"loggedon": true,
"username": "GreenC bot",
"checksum": "bdc31aba30b481d79cb3044295072d19",
"csrf": "3a1e6725fd0e6bb3c8b67d19347f6157",
"servetime": 0.0318

}

It returns debugging messages saved at

https://en.wikipedia.org/wiki/User:GreenC/testcases/iabdebug

Other API commands also return warning and error messages but they still work. I have not tested all the API commands, but have verified submitbotjob is working.

Event Timeline

Restricted Application assigned this task to Cyberpower678. · View Herald TranscriptApr 7 2019, 2:08 PM
Restricted Application added a subscriber: Cyberpower678. · View Herald Transcript
Cyberpower678 moved this task from Bugs to v2.0 on the InternetArchiveBot board.Jul 27 2019, 12:42 PM
Cyberpower678 moved this task from Unsorted to Bugs on the InternetArchiveBot (v2.0) board.
Cyberpower678 closed this task as Resolved.Aug 1 2019, 1:34 AM

I've been able to fix the errors, but the fail error is happening in this case because the archive URL is already set to the one given, so the change is discarded.